package com.ruoyi.project.ehs.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 安全批文清单对象 t_safetyapproval
 *
 * @author ruoyi
 * @date 2020-11-26
 */
public class TSafetyapproval extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 装置 */
    @Excel(name = "装置名称", dictType = "PLANT_DIVIDE")
    private String plantCode;

    /** 批文名称 */
    @Excel(name = "批文名称")
    private String approvalname;

    /** 证书编号 */
    @Excel(name = "证书编号")
    private String certno;

    /** 发证日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "批准日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date effetivedate;
    private String effetiveYear;

    /** 适用范围 */
    @Excel(name = "适用范围")
    private String scope;

    /** 相关法规 */
    @Excel(name = "相关法规")
    private String relatedlaw;

    /** 主管部门 */
    @Excel(name = "审批单位")
    private String responsauth;

    /** 证书有效期是否永久 */
    @Excel(name = "证书有效期是否永久", dictType = "YES_NO")
    private Long isPermanent;

    /** 证书有效期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    private Date validityBefore;
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    private Date validityAfter;
    @Excel(name = "证书有效期", width = 80)
    private String validity;

    /** 是否需要跟进 */
    @Excel(name = "是否需要跟进", dictType = "YES_NO")
    private String follow;

    /** 使用/储存/废物最大量 */
    @Excel(name = "使用/储存/废物最大量")
    private String allowance;

    /** 排放/监控要求 */
    @Excel(name = "排放/监控要求")
    private String requirements;

    /** 主要内容 */
    @Excel(name = "主要内容")
    private String content;
    private String conPic;
    private String conUrl;
    /** 负责人 */
    @Excel(name = "负责人")
    private String owner;

    /** 回顾人 */
    private String reviewer;
    @Excel(name = "回顾人")
    private String reviewerName;

    /** 本次回顾日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "本次回顾日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date reviewdate;

    /** 回顾结果 */
    @Excel(name = "回顾结果")
    private String reviewResult;

    /** 下次回顾日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "下次回顾日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date nextreviewdate;

    /** 类型 */
    private String conttype;

    /** 删除标识 */
    private Long delFlag;

    /** 创建人
 */
    private String createrCode;

    /** 创建日期 */
    private Date createdate;

    /** 更新人 */
    private String updaterCode;

    /** 更新日期 */
    private Date updatedate;

    /** 部门编号 */
    private Long deptId;

    /** 部门名称 */
    @Excel(name = "部门名称")
    private String deptName;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    public void setId(Long id)
    {
        this.id = id;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public Long getId()
    {
        return id;
    }
    public void setPlantCode(String plantCode)
    {
        this.plantCode = plantCode;
    }

    public String getPlantCode()
    {
        return plantCode;
    }
    public void setApprovalname(String approvalname)
    {
        this.approvalname = approvalname;
    }

    public String getApprovalname()
    {
        return approvalname;
    }
    public void setCertno(String certno)
    {
        this.certno = certno;
    }

    public String getCertno()
    {
        return certno;
    }
    public void setEffetivedate(Date effetivedate)
    {
        this.effetivedate = effetivedate;
    }

    public Date getEffetivedate()
    {
        return effetivedate;
    }
    public String getEffetiveYear() { return effetiveYear; }

    public void setEffetiveYear(String effetiveYear) { this.effetiveYear = effetiveYear; }
    public void setValidityBefore(Date validityBefore)
    {
        this.validityBefore = validityBefore;
    }

    public Date getValidityBefore()
    {
        return validityBefore;
    }
    public void setRelatedlaw(String relatedlaw)
    {
        this.relatedlaw = relatedlaw;
    }

    public String getRelatedlaw()
    {
        return relatedlaw;
    }
    public void setResponsauth(String responsauth)
    {
        this.responsauth = responsauth;
    }

    public String getResponsauth()
    {
        return responsauth;
    }
    public void setOwner(String owner)
    {
        this.owner = owner;
    }

    public String getOwner()
    {
        return owner;
    }
    public void setReviewdate(Date reviewdate)
    {
        this.reviewdate = reviewdate;
    }

    public Date getReviewdate()
    {
        return reviewdate;
    }
    public void setNextreviewdate(Date nextreviewdate)
    {
        this.nextreviewdate = nextreviewdate;
    }

    public Date getNextreviewdate()
    {
        return nextreviewdate;
    }
    public void setConttype(String conttype)
    {
        this.conttype = conttype;
    }

    public String getConttype()
    {
        return conttype;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setScope(String scope) { this.scope = scope; }

    public String getScope() { return scope; }
    public void setFollow(String follow) { this.follow = follow; }

    public String getFollow() { return follow; }
    public void setAllowance(String allowance) { this.allowance = allowance; }

    public String getAllowance() { return allowance; }
    public void setRequirements(String requirements) { this.requirements = requirements; }

    public String getRequirements() { return requirements; }
    public void setReviewer(String reviewer) { this.reviewer = reviewer; }

    public String getReviewer() { return reviewer; }
    public void setReviewResult(String reviewResult) { this.reviewResult = reviewResult; }

    public String getReviewResult() { return reviewResult; }
    public void setValidityAfter(Date validityAfter) { this.validityAfter = validityAfter; }

    public Date getValidityAfter() { return validityAfter; }
    public String getValidity() { return validity; }

    public void setValidity(String validity) { this.validity = validity; }

    public String getReviewerName() { return reviewerName; }

    public void setReviewerName(String reviewerName) { this.reviewerName = reviewerName; }
    public void setContent(String content) { this.content = content; }

    public String getContent() { return content; }
    public void setIsPermanent(Long isPermanent)
    {
        this.isPermanent = isPermanent;
    }

    public Long getIsPermanent()
    {
        return isPermanent;
    }

    public String getConPic() {
        return conPic;
    }

    public void setConPic(String conPic) {
        this.conPic = conPic;
    }

    public String getConUrl() {
        return conUrl;
    }

    public void setConUrl(String conUrl) {
        this.conUrl = conUrl;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("plantCode", getPlantCode())
                .append("approvalname", getApprovalname())
                .append("certno", getCertno())
                .append("effetivedate", getEffetivedate())
                .append("validityBefore", getValidityBefore())
                .append("relatedlaw", getRelatedlaw())
                .append("responsauth", getResponsauth())
                .append("owner", getOwner())
                .append("reviewdate", getReviewdate())
                .append("nextreviewdate", getNextreviewdate())
                .append("conttype", getConttype())
                .append("delFlag", getDelFlag())
                .append("createrCode", getCreaterCode())
                .append("createdate", getCreatedate())
                .append("updaterCode", getUpdaterCode())
                .append("updatedate", getUpdatedate())
                .append("deptId", getDeptId())
                .append("remarks", getRemarks())
                .append("scope", getScope())
                .append("follow", getFollow())
                .append("allowance", getAllowance())
                .append("requirements", getRequirements())
                .append("reviewer", getReviewer())
                .append("reviewResult", getReviewResult())
                .append("validityAfter", getValidityAfter())
                .toString();
    }
}
